# Class Mapper.ContextVersion

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<Context>
org.apache.catalina.mapper.Mapper.ContextVersion

Enclosing class:
  `Mapper`

protected static final class Mapper.ContextVersion extends Mapper.MapElement<Context>
Represents a versioned context.

## Field Summary

Fields
Modifier and Type
Field
Description
`Mapper.MappedWrapper`
`defaultWrapper`
The default wrapper.
`Mapper.MappedWrapper[]`
`exactWrappers`
The exact match wrappers.
`Mapper.MappedWrapper[]`
`extensionWrappers`
The extension match wrappers.
`int`
`nesting`
The nesting level.
`final String`
`path`
The context path.
`final WebResourceRoot`
`resources`
The web resource root.
`final int`
`slashCount`
The number of slashes in the path.
`String[]`
`welcomeResources`
The welcome resources.
`Mapper.MappedWrapper[]`
`wildcardWrappers`
The wildcard match wrappers.

### Fields inherited from class Mapper.MapElement

`name, object`

## Constructor Summary

Constructors
Constructor
Description
`ContextVersion(String version, String path, int slashCount, Context context, WebResourceRoot resources, String[] welcomeResources)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPaused()`
Check if the context is paused.
`void`
`markPaused()`
Mark the context as paused.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

public final String path
The context path.

### slashCount

public final int slashCount
The number of slashes in the path.

### resources

public final WebResourceRoot resources
The web resource root.

### welcomeResources

public String[] welcomeResources
The welcome resources.

### defaultWrapper

public Mapper.MappedWrapper defaultWrapper
The default wrapper.

### exactWrappers

public Mapper.MappedWrapper[] exactWrappers
The exact match wrappers.

### wildcardWrappers

public Mapper.MappedWrapper[] wildcardWrappers
The wildcard match wrappers.

### extensionWrappers

public Mapper.MappedWrapper[] extensionWrappers
The extension match wrappers.

### nesting

public int nesting
The nesting level.

## Constructor Details

### ContextVersion

public ContextVersion(String version, String path, int slashCount, Context context, WebResourceRoot resources, String[] welcomeResources)
Constructor.

Parameters:
  `version` - The version
  `path` - The context path
  `slashCount` - The number of slashes in the path
  `context` - The context
  `resources` - The web resource root
  `welcomeResources` - The welcome resources

## Method Details

### isPaused

public boolean isPaused()
Check if the context is paused.

Returns:
  true if paused

### markPaused

public void markPaused()
Mark the context as paused.